Add note
curl --request PUT \
--url https://my.cloudtalk.io/api/notes/add/{contactId}.json \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "<string>",
"user_id": 123
}
'import requests
url = "https://my.cloudtalk.io/api/notes/add/{contactId}.json"
payload = {
"note": "<string>",
"user_id": 123
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: '<string>', user_id: 123})
};
fetch('https://my.cloudtalk.io/api/notes/add/{contactId}.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"responseData": {
"status": 201,
"data": {
"id": "12345"
}
}
}{
"responseData": {
"status": 404,
"message": "Not found."
}
}{
"responseData": {
"status": 406,
"message": "Invalid input data.",
"data": {
"note": [
"This field is required."
]
}
}
}{
"responseData": {
"status": 500,
"message": "Something went wrong."
}
}Contacts
Add note
Assign a note to existing contact.
PUT
/
notes
/
add
/
{contactId}
.json
Add note
Authorizations
HTTP Basic Authentication. Use your API Access Key ID as the username and your API Access Key Secret as the password. Generate keys in the CloudTalk Dashboard under Account -> Settings -> API Keys (https://dashboard.cloudtalk.io/menu/account/settings/API-keys).
Path Parameters
Contact ID to which note will be assigned
Response
No error
Show child attributes
Show child attributes
⌘I